## ros-iron-rosbridge-library 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_library)

find_package(ament_cmake_ros REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(
  ${PROJECT_NAME} PACKAGE_DIR "src/${PROJECT_NAME}")

ament_package()

if (BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)

  # TODO: Enable tests
  # ament_add_pytest_test(test_capabilities "test/capabilities")
  # ament_add_pytest_test(test_internal "test/internal")
  # ament_add_pytest_test(test_services "test/internal/test_services.py")
  ament_add_pytest_test(test_ros_loader "test/internal/test_ros_loader.py")
  ament_add_pytest_test(test_message_conversion "test/internal/test_message_conversion.py")
endif()

=== debian/changelog ===
ros-iron-rosbridge-library (1.3.1-3jammy) jammy; urgency=high

  * Optimized large binary array publishing (#819 <https://github.com/RobotWebTools/rosbridge_suite/issues/819>)
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>) (#800 <https://github.com/RobotWebTools/rosbridge_suite/issues/800>)
  * Improve robustness for multiple client connections (#803 <https://github.com/RobotWebTools/rosbridge_suite/issues/803>)
  * Minor performance improvements (#809 <https://github.com/RobotWebTools/rosbridge_suite/issues/809>)
  * Remove unnecessary checking of topic globs. (#793 <https://github.com/RobotWebTools/rosbridge_suite/issues/793>) (#799 <https://github.com/RobotWebTools/rosbridge_suite/issues/799>)
  * Fix duplicate subscription created with wrong 'raw' attribute. (#798 <https://github.com/RobotWebTools/rosbridge_suite/issues/798>)
  * Contributors: Hans-Joachim Krauch, Steffen Nattke, Ted Sender

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Oct 2022 16:00:00 -0000

ros-iron-rosbridge-library (1.3.0-3jammy) jammy; urgency=high

  * Allow integers in conversion to float array messages (#777 <https://github.com/RobotWebTools/rosbridge_suite/issues/777>)
  * Non standard msg modules (#735 <https://github.com/RobotWebTools/rosbridge_suite/issues/735>)
  * Contributors: Jacob Bandes-Storch, Will

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Aug 2022 16:00:00 -0000

ros-iron-rosbridge-library (1.2.0-3jammy) jammy; urgency=high

  * Fixed float arrays conversion (#730 <https://github.com/RobotWebTools/rosbridge_suite/issues/730>)
  * Fixed multiple subscriber on transient_local topic (#723 <https://github.com/RobotWebTools/rosbridge_suite/issues/723>)
  * Fix translation of time and time arrays (#691 <https://github.com/RobotWebTools/rosbridge_suite/issues/691>)
  * Fix array behavior (#692 <https://github.com/RobotWebTools/rosbridge_suite/issues/692>)
  * Contributors: Jacob Bandes-Storch, José Castelo, Kenji Miyake, Will, p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 May 2022 16:00:00 -0000

ros-iron-rosbridge-library (1.1.2-3jammy) jammy; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Fix byte behavior (#693 <https://github.com/RobotWebTools/rosbridge_suite/issues/693>)
  * Fix test_message_conversion.py (#645 <https://github.com/RobotWebTools/rosbridge_suite/issues/645>)
  * Fix test_ros_loader.py (#644 <https://github.com/RobotWebTools/rosbridge_suite/issues/644>)
  * Fix CI test configuration and temporarily disable rosbridge_library test (#686 <https://github.com/RobotWebTools/rosbridge_suite/issues/686>)
  * Contributors: Evan Flynn, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 02 Jan 2022 16:00:00 -0000

ros-iron-rosbridge-library (1.1.1-3jammy) jammy; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Dec 2021 16:00:00 -0000

ros-iron-rosbridge-library (1.1.0-3jammy) jammy; urgency=high

  * Fix test imports from rosbridge_test_msgs (#668 <https://github.com/RobotWebTools/rosbridge_suite/issues/668>)
  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Fix test_services.py (#653 <https://github.com/RobotWebTools/rosbridge_suite/issues/653>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Remove get_service_instance from ros_loader (#647 <https://github.com/RobotWebTools/rosbridge_suite/issues/647>)
  * Fix test settings for rosbridge_library (#643 <https://github.com/RobotWebTools/rosbridge_suite/issues/643>)
  * Fix DOS line endings (#658 <https://github.com/RobotWebTools/rosbridge_suite/issues/658>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 21 Oct 2021 16:00:00 -0000

ros-iron-rosbridge-library (1.0.8-3jammy) jammy; urgency=high

  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Aug 2021 16:00:00 -0000

ros-iron-rosbridge-library (1.0.7-3jammy) jammy; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 16:00:00 -0000

ros-iron-rosbridge-library (1.0.6-3jammy) jammy; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 16 Aug 2021 16:00:00 -0000



=== debian/control ===
Source: ros-iron-rosbridge-library
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-bson, python3-pil, ros-iron-actionlib-msgs <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-builtin-interfaces <!nocheck>, ros-iron-diagnostic-msgs <!nocheck>, ros-iron-example-interfaces <!nocheck>, ros-iron-geometry-msgs <!nocheck>, ros-iron-nav-msgs <!nocheck>, ros-iron-rosbridge-test-msgs <!nocheck>, ros-iron-sensor-msgs <!nocheck>, ros-iron-std-msgs <!nocheck>, ros-iron-std-srvs <!nocheck>, ros-iron-stereo-msgs <!nocheck>, ros-iron-tf2-msgs <!nocheck>, ros-iron-trajectory-msgs <!nocheck>, ros-iron-visualization-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-iron-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-bson, python3-pil, ros-iron-rclpy, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: The core rosbridge package, responsible for interpreting JSON andperforming the appropriate ROS action, like subscribe, publish, call service, and interact with params.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rosbridge-library//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
